List interconnected document IDs
curl --request POST \
--url https://app.myhero.so/document/get-interconnection \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"documentIds": [
"<string>"
]
}
'import requests
url = "https://app.myhero.so/document/get-interconnection"
payload = { "documentIds": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({documentIds: ['<string>']})
};
fetch('https://app.myhero.so/document/get-interconnection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
"<string>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}Documents
List interconnected document IDs
Traverses the document graph starting from the provided documentIds and returns all reachable related document IDs.
Useful for determining the full set of documents that would be affected by a transfer or copy operation.
POST
/
document
/
get-interconnection
List interconnected document IDs
⌘I